/** \file
	\brief tSIP roadmap
*/

/** \page roadmap Roadmap

Bunch of things to do in future releases. No particular order:

	- multiple accounts, even if only single active at the time
	- UDP transport keepalive
	- context help
	- SIP message graphs
	- send/receive SIP MESSAGE (IM)
	- new function: send custom message

	- some things from baresip
		- #      Send OPTIONS
		- audio_loop_test
		- call_debug
		- contact_send_options_to_all
		- (void)play_file(NULL, "sine.wav", 0);


	- misleading "Failed to start application" status when no valid account is configured
	- history: full-text search, sorting
	- playing wave to 2nd party

- switch audio output device during call (aka speakerphone)

- DTMF local playback

- button idea: logout/login (or logout + existing re-register?)

- ring: volume control


Call recording:
- fixme: possible hazards when starting recording
- other output formats, compression
- recordings browser
- settings: record incoming/outgoing
- manual record + recording state info
- semi-automatic record mode: record call by default, delete file if not "saved" by user
- two channels mode (separate RX/TX recording)
- UID for file names to avoid conflicts with very short (<1 s) recordings


- new button type: auto answer / DND with specified answer code

- hotkeys: move focus to transfer textbox

- launch external application on incoming calls
- example: link handling from mail client
- Wideband Opus and G722 codecs
- ICE
- select reject code: 486 Busy (other devices keep ringing) or 603 Decline (all devices stop ringing)
- hotkeys or speed dial: volume
- encrypt password / password prompt
- contacts: master/detail view
- contact groups
- different ringtones for different contacts
- detect: no input snd dev
- flashing icon on missed call
- handle "Call completed elsewhere" disconnection reason
- call history: master/detail view, copying number to clipboard, adding to phonebook
- number processing / "LCR" / dialplan

- user definable Call/Hangup buttons (horizontal configurable button container?)
- buttons: Dialpad/Contacts/History and equivalent hotkey actions replacing existing tab row
- same behavior for all keys (native and programmable)
- combine regular number edit and transfer number edit into one 

- show main window on outgoing call made using protocol handler / hotkey

- settings: time for hotkey anti-repeat timer

- dialing using speech recognition

- BLF: alert me on when extension become idle

- baresip: aufile module (wave source)

*/


